Skip to main content
GET
Retrieve events

Supported products

Query Parameters

after
string

The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.

before
string

A cursor token for pagination. Use the value from the previous response's paging.prev.before field.

eventType
string

The type of events to retrieve.

id
string[]

An array of event IDs to retrieve.

limit
integer<int32>

The maximum number of results to display per page.

objectId
integer<int64>

The unique identifier of the object associated with the events.

objectProperty.{propname}
object

Filter events based on specific object properties.

objectType
string

The type of object associated with the events.

occurredAfter
string<date-time>

Filter events that occurred after this date-time.

occurredBefore
string<date-time>

Filter events that occurred before this date-time.

properties
string[]

An array of property names to include in the response.

property.{propname}
object

Filter events based on specific event properties.

sort
string[]

An array of fields to sort the results by.

Response

successful operation

results
object[]
required

An array of ExternalUnifiedEvent objects, each representing an individual event with its associated details.

paging
object

Represents the pagination information for navigating through a list of results in the API. It provides details on how to access the previous or next set of results.

Last modified on September 9, 2026